package iut.echec.moteur.plateau;

import iut.echec.moteur.pieces.IPiece;

public class Case implements ICase {
	
    private IPiece piece;
    private int numero;

    public Case(int inNumero)
    {
        this.numero = inNumero;
    }

    /* (non-Javadoc)
	 * @see fr.iut.moteur.plateau.ICase#getPiece()
	 */
	@Override
	public IPiece getPiece() {
		return piece;
	}

	/* (non-Javadoc)
	 * @see fr.iut.moteur.plateau.ICase#setPiece(fr.iut.moteur.pieces.IPiece)
	 */
	@Override
	public void setPiece(IPiece piece) {
		this.piece = piece;
	}

	/* (non-Javadoc)
	 * @see fr.iut.moteur.plateau.ICase#getNumero()
	 */
	@Override
	public int getNumero() {
		return numero;
	}

	/* (non-Javadoc)
	 * @see fr.iut.moteur.plateau.ICase#setNumero(int)
	 */
	@Override
	public void setNumero(int numero) {
		this.numero = numero;
	}

	/* (non-Javadoc)
	 * @see fr.iut.moteur.plateau.ICase#estVide()
	 */
	@Override
	public boolean estVide()
    {
        return piece == null;
    }
}
