package iut.echec.moteur.pieces;

import iut.echec.moteur.joueurs.IJoueur;
import iut.echec.moteur.plateau.IEchiquier;

import java.util.List;


public abstract class Piece implements IPiece {
	
    protected IJoueur joueur;
    protected IEchiquier echiquier;

    /**
	 * @return the joueur
	 */
	public IJoueur getJoueur() {
		return joueur;
	}

	/* (non-Javadoc)
	 * @see fr.iut.moteur.pieces.IPiece#getListeMouvement()
	 */
    @Override
	public abstract List<Integer> getListeMouvement();

    /* (non-Javadoc)
	 * @see fr.iut.moteur.pieces.IPiece#nomPiece()
	 */
    @Override
	public abstract String nomPiece();

}
