package iut.echec.moteur.pieces;

import iut.echec.moteur.joueurs.IJoueur;
import iut.echec.moteur.plateau.IEchiquier;

import java.util.ArrayList;
import java.util.List;


public class Pion extends Piece {

    public Pion(IJoueur inJoueur, IEchiquier inEchiquier)
    {
        this.joueur = inJoueur;
        this.echiquier = inEchiquier;
    }

    @Override
    public String nomPiece()
    {
        return "p";
    }
	
	@Override
	public List<Integer> getListeMouvement() {
		List<Integer> resultat = new ArrayList<Integer>();
        int position = this.echiquier.getPositionPiece(this);
        int possible = 0;

        if (position + 8 < 63 && this.joueur.getCouleur() == "b")
            possible = position + 8;
        if (position - 8 > 0 && this.joueur.getCouleur() == "n")
            possible = position - 8;
        resultat.add(possible);
        if (possible > 0)
        {
            //this.echiquier.Cases[possible - 1].Piece;
        }
        return resultat;
	}

}
